diff --git a/src/backend/optimizer/path/allpaths.c b/src/backend/optimizer/path/allpaths.c
index 9bdc70c702..b0ed69d2f8 100644
--- a/src/backend/optimizer/path/allpaths.c
+++ b/src/backend/optimizer/path/allpaths.c
@@ -4470,6 +4470,9 @@ print_path(PlannerInfo *root, Path *path, int indent)
 		case T_TidPath:
 			ptype = "TidScan";
 			break;
+		case T_TidRangePath:
+			ptype = "TidRangePath";
+			break;
 		case T_SubqueryScanPath:
 			ptype = "SubqueryScan";
 			break;
@@ -4578,7 +4581,8 @@ print_path(PlannerInfo *root, Path *path, int indent)
 			subpath = ((LimitPath *) path)->subpath;
 			break;
 		default:
-			ptype = "???Path";
+			elog(WARNING, "could not print unrecognized node type: %d",
+				 (int) nodeTag(path));
 			break;
 	}
 
